# Kickstart config file generated by Spacewalk Config Management
#
# Profile Label : spacewalk-sample
# Date Created  : 2008-12-06 09:08:33.0
#

install
text
network --bootproto dhcp
url --url http://@@http_server@@/$media_path
lang en_US
langsupport --default en_US en_US
keyboard us
mouse none
zerombr yes
clearpart --all
part /boot --fstype=ext3 --size=200
part pv.01 --size=1000 --grow
part swap --size=1000   --maxsize=2000
volgroup myvg pv.01
logvol / --vgname=myvg --name=rootvol --size=1000 --grow
bootloader --location mbr
timezone America/New_York
auth --enablemd5 --enableshadow
rootpw --iscrypted <encrypted password>
selinux --permissive
reboot
firewall --disabled
skipx
repo --name=Cluster --baseurl=http://@@http_server@@/mnt/Cluster
repo --name=ClusterStorage --baseurl=http://@@http_server@@/mnt/ClusterStorage
repo --name=VT --baseurl=http://@@http_server@@/mnt/VT
repo --name=Workstation --baseurl=http://@@http_server@@/mnt/Workstation
key --skip

%packages --resolvedeps

@ Base


%post --nochroot
mkdir /mnt/sysimage/tmp/ks-tree-copy
if [ -d /oldtmp/ks-tree-shadow ]; then
cp -fa /oldtmp/ks-tree-shadow/* /mnt/sysimage/tmp/ks-tree-copy
elif [ -d /tmp/ks-tree-shadow ]; then
cp -fa /tmp/ks-tree-shadow/* /mnt/sysimage/tmp/ks-tree-copy
fi
cp /etc/resolv.conf /mnt/sysimage/etc/resolv.conf
cp -f /tmp/ks-pre.log /mnt/sysimage/root/

%post
( # Log %post errors
 # --Begin Spacewalk command section--

mkdir -p /tmp/rhn_rpms/optional
cd /tmp/rhn_rpms/optional
wget -P /tmp/rhn_rpms/optional http://@@http_server@@/download/package/0d4038661a461e7335cb4a602afbf9eaf6962a86/1229750186128/1/1236/libxml2-python-2.6.32-1.fc9.i386.rpm
rpm -Uvh --replacepkgs --replacefiles /tmp/rhn_rpms/optional/pyOpenSSL* /tmp/rhn_rpms/optional/rhnlib* /tmp/rhn_rpms/optional/libxml2-python*
perl -npe 's|^(\s*serverURL\s*=\s*[^:]+://)[^/]*/|${1}@@http_server@@/|' -i /etc/sysconfig/rhn/up2date

# now copy from the ks-tree we saved in the non-chroot checkout
cp -fav /tmp/ks-tree-copy/* /
rm -Rf /tmp/ks-tree-copy
# --End Spacewalk command section--

# begin cobbler snippet
$SNIPPET('redhat_register')
# end cobbler snippet

rhn_check

) >> /root/ks-post.log 2>&1
# MOTD
echo >> /etc/motd
echo "Spacewalk kickstart on \$(date +'%Y-%m-%d')" >> /etc/motd
echo >> /etc/motd

# end of generated kickstart file

